# EditTabMitController (1_graphentester)

Package control

## Class EditTabMitController

- java.lang.Object
- - javafx.scene.control.Tab
  - - control.TabMitController
    - - control.EditTabMitController

All Implemented Interfaces:
  `javafx.css.Styleable`, `javafx.event.EventTarget`

    public class EditTabMitController
    extends TabMitController

Die Klasse EditTabMitController stellt einen Tab inclusive ihres Controllers zur Editierung eines Graphs dar.

Version:
  v6.7 (9.12.2020)
Author:
  Thomas Schaller

### Field Summary

### Fields inherited from class control.TabMitController

`graph, options, viewer`

### Fields inherited from class javafx.scene.control.Tab

`CLOSED_EVENT, SELECTION_CHANGED_EVENT, TAB_CLOSE_REQUEST_EVENT`

### Constructor Summary

Constructors
`EditTabMitController​(Graph graph, GraphOptions options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) void` `bBildLaden​(javafx.event.ActionEvent event)`
`(package private) void` `bBildLoeschen​(javafx.event.ActionEvent event)`
`(package private) void` `bDistanzenBestimmen​(javafx.event.ActionEvent event)`
`(package private) void` `graphClicked​(javafx.scene.input.MouseEvent event)`
`void` `initialize()`
`void` `mInfotextAendern()`
`void` `mLoesche()`
`void` `mWertAendern()`
`(package private) void` `setGerichtet​(boolean gerichtet)`
`(package private) void` `setGewichtet​(boolean gewichtet)`
`(package private) void` `setInfotext​(boolean anzeigen)`
`(package private) void` `setKnotenTyp​(javafx.scene.control.Toggle t)`
`(package private) void` `sGroesseAendern​(Number size)`

### Methods inherited from class control.TabMitController

`getGraphOptions, getViewer, setGraph, tabOeffnen, update`

### Methods inherited from class javafx.scene.control.Tab

`buildEventDispatchChain, closableProperty, contentProperty, contextMenuProperty, disabledProperty, disableProperty, getClassCssMetaData, getContent, getContextMenu, getCssMetaData, getGraphic, getId, getOnClosed, getOnCloseRequest, getOnSelectionChanged, getProperties, getPseudoClassStates, getStyle, getStyleableParent, getStyleClass, getTabPane, getText, getTooltip, getTypeSelector, getUserData, graphicProperty, hasProperties, idProperty, isClosable, isDisable, isDisabled, isSelected, onClosedProperty, onCloseRequestProperty, onSelectionChangedProperty, selectedProperty, setClosable, setContent, setContextMenu, setDisable, setGraphic, setId, setOnClosed, setOnCloseRequest, setOnSelectionChanged, setStyle, setText, setTooltip, setUserData, styleProperty, tabPaneProperty, textProperty, tooltipProperty`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javafx.css.Styleable

`getStyleableNode`

### Constructor Detail

#### EditTabMitController

    public EditTabMitController​(Graph graph,
                                GraphOptions options)

### Method Detail

#### initialize

    public void initialize()

Overrides:
  `initialize` in class `TabMitController`

#### sGroesseAendern

    void sGroesseAendern​(Number size)

#### setGerichtet

    void setGerichtet​(boolean gerichtet)

#### setGewichtet

    void setGewichtet​(boolean gewichtet)

#### setInfotext

    void setInfotext​(boolean anzeigen)

#### setKnotenTyp

    void setKnotenTyp​(javafx.scene.control.Toggle t)

#### bBildLaden

    void bBildLaden​(javafx.event.ActionEvent event)

#### bBildLoeschen

    void bBildLoeschen​(javafx.event.ActionEvent event)

#### bDistanzenBestimmen

    void bDistanzenBestimmen​(javafx.event.ActionEvent event)

#### graphClicked

    void graphClicked​(javafx.scene.input.MouseEvent event)

#### mLoesche

    public void mLoesche()

#### mWertAendern

    public void mWertAendern()

#### mInfotextAendern

    public void mInfotextAendern()